# ************************************************************************
# *
# * Subsystem makefile for HPS Apple OS X GUI.
# *
# *	Copyright (C) 2002-2008 Cincom Systems, Inc.
# *
# ************************************************************************
#

SUBSYS=platgui
SUBSYSDIR=$(HPSSDIR)/plat

OBJS= \
macXAnim.$(OBJ) \
macXCanvas.$(OBJ) \
macXCursor.$(OBJ) \
macXEvent.$(OBJ) \
macXFont.$(OBJ) \
macXGraphics.$(OBJ) \
macXImage.$(OBJ) \
macXLoadGUI.$(OBJ) \
macXPrinting.$(OBJ) \
$(SPLASH_OBJ) \
macXSelection.$(OBJ) \
macXScreen.$(OBJ) \
macXSTView.$(OBJ) \
macXSTMask.$(OBJ) \
macXSTPixmap.$(OBJ) \
macXSTRasterSurface.$(OBJ) \
macXSTGraphicsContext.$(OBJ) \
macXSTDrawingOperation.$(OBJ) \
macXSTScribe.$(OBJ) \
macXSTWindow.$(OBJ) \
macXSTAnimation.$(OBJ)

CSRCS=\
macXLoadGUI.c

OBJCSRCS= \
macXAnim.m \
macXCanvas.m \
macXCursor.m \
macXEvent.m \
macXFont.m \
macXGraphics.m \
macXImage.m \
macXPrinting.m \
macXScreen.m \
macXSelection.m \
macXSTView.m \
macXSTMask.m \
macXSTPixmap.m \
macXSTRasterSurface.m \
macXSTGraphicsContext.m \
macXSTDrawingOperation.m \
macXSTScribe.m \
macXSTWindow.m \
macXSTAnimation.m

SSRCS = macXcallCglue.s

### Subsystem target.

$(SUBSYS).$(OBJ): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS)

include src/makefiles/makefile.include

include platgui.dep
